Bug 257576 - print/texlive-base: Stop depending on deprecated freetype-config
Summary: print/texlive-base: Stop depending on deprecated freetype-config
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tex Mailing List (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks: 251512
  Show dependency treegraph
 
Reported: 2021-08-02 23:13 UTC by Daniel Engberg
Modified: 2021-08-07 12:00 UTC (History)
3 users (show)

See Also:
tcberner: merge-quarterly-


Attachments
Patch for texlive-base (5.82 KB, patch)
2021-08-02 23:13 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-08-02 23:13:17 UTC
Created attachment 226895 [details]
Patch for texlive-base

Patch all configure scripts and set paths using ports framework

Compile tested on FreeBSD 13.0-STABLE #0 stable/13-n246086-a20c597c6d7 (amd64)
Poudriere testport OK 12.2-RELEASE (amd64)
Comment 1 Bugzilla Automation freebsd_committer 2021-08-02 23:13:17 UTC
Maintainer informed via mail
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-08-03 04:03:58 UTC
Thank you for your patch Daniel. Could you update the MAINTAINER line(s) (other ports), to match the Bugzilla account (tex at f.o), thanks!
Comment 3 Daniel Engberg freebsd_committer 2021-08-03 20:40:38 UTC
Done, https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257601
Comment 4 commit-hook freebsd_committer 2021-08-07 11:59:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2e8a7f6a4674d4ee40da1553a19047481f0c6c63

commit 2e8a7f6a4674d4ee40da1553a19047481f0c6c63
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-08-07 11:52:34 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-07 11:52:34 +0000

    print/texlive-base: prepare for freetype2 upgrade

    - freetype2 will no longer ship freetype-config (which was a pkg-config
    wrapper) in the near future -- use pkg-config to gather the required
    flags.

    Original version by:    diizzy
    PR:                     251512
    PR:                     257576

 print/texlive-base/Makefile                          |  4 +++-
 print/texlive-base/files/patch-configure             | 20 ++++++++++++++++----
 .../files/patch-texk_dvipng_configure (new)          | 13 +++++++++++++
 .../files/patch-texk_dvisvgm_configure (new)         | 13 +++++++++++++
 .../files/patch-texk_ttf2pk2_configure (new)         | 13 +++++++++++++
 5 files changed, 58 insertions(+), 5 deletions(-)
Comment 5 Tobias C. Berner freebsd_committer 2021-08-07 12:00:04 UTC
Moin moin

I committed a slightly simplified version.


mfg Tobias